Skip to content

Cost Analysis

GET
/api/v1/prepaid/cost_usage/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/prepaid/cost_usage/?frequency=<FREQUENCY>&item=<ITEM>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Retrieves the cost usage summary for prepaid billing based on the specified frequency and item scope.

frequency
required
string

Example

1

Frequency of usage data. Use 1 for monthly.

item
required
string

Example

all

Filter usage by item. Use all to get all usage items.

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

A list of monthly prepaid usage and their respective amounts.

Media typeapplication/json
object
code
integer
data
Array<object>
object
month
string
year
string
amount
string
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"month": "4",
"year": "2025",
"amount": "1472.65"
}
],
"errors": {},
"message": "Success"
}